wxruby install problem

Discussion in 'Ruby' started by Pen Ttt, Apr 25, 2010.

  1. Pen Ttt

    Pen Ttt Guest

    pt@pt-laptop:~$ sudo gem install wxruby
    [sudo] password for pt:
    Successfully installed wxruby-2.0.1-x86-linux
    1 gem installed
    Installing ri documentation for wxruby-2.0.1-x86-linux...
    Updating class cache with 2751 classes...
    Installing RDoc documentation for wxruby-2.0.1-x86-linux...
    pt@pt-laptop:~$ irb
    irb(main):001:0> require 'wxruby'
    LoadError: no such file to load -- wxruby
    from (irb):1:in `require'
    from (irb):1
    from /usr/local/ruby/bin/irb:12:in `<main>'
    irb(main):002:0>

    could you tell me how to solvr this problem?
    --
    Posted via http://www.ruby-forum.com/.
    Pen Ttt, Apr 25, 2010
    #1
    1. Advertising

  2. Jean-Julien Fleck, Apr 25, 2010
    #2
    1. Advertising

  3. Pen Ttt

    Pen Ttt Guest

    pt@pt-laptop:~$ sudo gem install wx
    ERROR: could not find gem wx locally or in a repository
    pt@pt-laptop:~$ irb
    irb(main):001:0> require "wx"
    LoadError:
    /usr/local/ruby/lib/ruby/gems/1.9.1/gems/wxruby-2.0.1-x86-linux/lib/wxruby2.so:
    symbol _ZN13wxAuiNotebook14ShowWindowMenuEv, version WXU_2.8.5 not
    defined in file libwx_gtk2u_aui-2.8.so.0 with link time reference -
    /usr/local/ruby/lib/ruby/gems/1.9.1/gems/wxruby-2.0.1-x86-linux/lib/wxruby2.so
    from
    /usr/local/ruby/lib/ruby/gems/1.9.1/gems/wxruby-2.0.1-x86-linux/lib/wx.rb:12:in
    `require'
    from
    /usr/local/ruby/lib/ruby/gems/1.9.1/gems/wxruby-2.0.1-x86-linux/lib/wx.rb:12:in
    `<top (required)>'
    from (irb):1:in `require'
    from (irb):1
    from /usr/local/ruby/bin/irb:12:in `<main>'
    irb(main):002:0>

    what's matter?

    --
    Posted via http://www.ruby-forum.com/.
    Pen Ttt, Apr 25, 2010
    #3
  4. Pen Ttt wrote:
    > pt@pt-laptop:~$ sudo gem install wx
    > ERROR: could not find gem wx locally or in a repository
    > pt@pt-laptop:~$ irb
    > irb(main):001:0> require "wx"
    > LoadError:
    > /usr/local/ruby/lib/ruby/gems/1.9.1/gems/wxruby-2.0.1-x86-linux/lib/wxruby2.so:
    > symbol _ZN13wxAuiNotebook14ShowWindowMenuEv, version WXU_2.8.5 not
    > defined in file libwx_gtk2u_aui-2.8.so.0 with link time reference -
    > /usr/local/ruby/lib/ruby/gems/1.9.1/gems/wxruby-2.0.1-x86-linux/lib/wxruby2.so
    > from
    > /usr/local/ruby/lib/ruby/gems/1.9.1/gems/wxruby-2.0.1-x86-linux/lib/wx.rb:12:in
    > `require'
    > from
    > /usr/local/ruby/lib/ruby/gems/1.9.1/gems/wxruby-2.0.1-x86-linux/lib/wx.rb:12:in
    > `<top (required)>'
    > from (irb):1:in `require'
    > from (irb):1
    > from /usr/local/ruby/bin/irb:12:in `<main>'
    > irb(main):002:0>
    >
    > what's matter?


    Looks like you are using Ubuntu Karmic... wxRuby's binary gem doesn't
    work with Ubuntu Karmic Koala, so you'll have to compile it yourself:
    http://wxruby.rubyforge.org/wiki/wiki.pl?BuildingOnTopOfLinuxDistroPackages

    Notice the --enable-shared option when compiling Ruby!

    Marvin
    --
    Posted via http://www.ruby-forum.com/.
    Marvin Gülker, Apr 25, 2010
    #4
    1. Advertising

Want to reply to this thread or ask your own question?

It takes just 2 minutes to sign up (and it's free!). Just click the sign up button to choose a username and then you can ask your own questions on the forum.
Similar Threads
  1. Andreas Schwarz
    Replies:
    5
    Views:
    101
  2. RaW

    wxRuby problem on Ubuntu

    RaW, Sep 29, 2005, in forum: Ruby
    Replies:
    7
    Views:
    152
    Daniel Lewis
    Sep 30, 2005
  3. kazaam
    Replies:
    2
    Views:
    124
    Stefano Crocco
    Aug 23, 2007
  4. Victor Reyes

    Problem loading wxruby

    Victor Reyes, Apr 3, 2008, in forum: Ruby
    Replies:
    2
    Views:
    99
    Victor Reyes
    Apr 3, 2008
  5. Marvin Gülker
    Replies:
    0
    Views:
    131
    Marvin Gülker
    Apr 3, 2009
Loading...

Share This Page